Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.validation
Interface SpeciesValidator

All Known Implementing Classes:
  SpeciesValidator

public interface SpeciesValidator

Provides functionality for identifying the particular species that an ontology belongs to.

Version:
  $Id: SpeciesValidator.java,v 1.2 2003/12/19 12:04:16 sean_bechhofer Exp $

Method Summary
`Map` | `getOptions()` Get options for this validator
`boolean` | `isOWLDL(OWLOntology ontology)`
`boolean` | `isOWLDL(URI uri)`
`boolean` | `isOWLFull(OWLOntology ontology)`
`boolean` | `isOWLFull(URI uri)`
`boolean` | `isOWLLite(OWLOntology ontology)`
`boolean` | `isOWLLite(URI uri)`
`void` | `setConnection(OWLConnection connection)` Set the connection (e.g. the implementation that the validator will choose to use when constructing ontologies.
`void` | `setOptions(Map options)` Set options for this validator
`void` | `setReporter(SpeciesValidatorReporter reporter)` Provides a writer which will be used to record explanations for the verdict arrived at.

Method Detail

### setOptions

    public void setOptions(Map options)

  Set options for this validator

  Parameters:
    `options` - a `Map` value. Should contain a map from `String`s to `String`s.

### getOptions

    public Map getOptions()

  Get options for this validator

  Returns:
    a `Map` value. Contains a map from `String`s to `String`s.

### setReporter

    public void setReporter(SpeciesValidatorReporter reporter)

  Provides a writer which will be used to record explanations for the verdict arrived at.

### isOWLLite

    public boolean isOWLLite(OWLOntology ontology)
                      throws OWLException

    `OWLException`

### isOWLDL

    public boolean isOWLDL(OWLOntology ontology)
                    throws OWLException

    `OWLException`

### isOWLFull

    public boolean isOWLFull(OWLOntology ontology)
                      throws OWLException

    `OWLException`

### setConnection

    public void setConnection(OWLConnection connection)

  Set the connection (e.g. the implementation that the validator will choose to use when constructing ontologies.

### isOWLLite

    public boolean isOWLLite(URI uri)
                      throws OWLException

    `OWLException`

### isOWLDL

    public boolean isOWLDL(URI uri)
                    throws OWLException

    `OWLException`

### isOWLFull

    public boolean isOWLFull(URI uri)
                      throws OWLException

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb